Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "9705f090-5a4b-4038-bd14-53f5da933784",
"date_start": "2026-11-05T11:43:05.6390314+00:00",
"date_end": "2026-11-05T11:43:05.6390314+00:00",
"modified_dateutc": "2026-11-05T11:43:05.6390314+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "be3cb83a-6ad4-4457-b96c-ab457fdc4049",
"user_code": "sample string 8",
"user": {
"id": "ecd0fb67-a7e9-4e5e-8b94-67d558ca1dec",
"db_language_id": "e4772494-2455-4374-acc4-32d6605e6c0c",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-05T11:43:05.6390314+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "8743308a-355e-4360-8f52-b96350726898",
"sales_organization": {
"id": "192a3cde-c130-4a53-a9b4-37c152793e34",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "32babf9c-1fdd-4907-a664-7ff0fb1a03f7",
"db_currency_id": "a76baf34-5fae-433b-88da-7f36f5005c9d",
"db_language_id": "bb0672e7-7ec9-4cac-a107-8afdd9ad2caa",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-05T11:43:05.6390314+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "299a49f8-d19c-4d62-bee1-ee5341a6bb8a",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "c640e449-ad51-4d14-8de8-233a42998859",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-05T11:43:05.6390314+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "45613db1-a797-40b7-845e-74e1480357d5"
},
"user_unavailability_type_id": "e5449b7e-def9-49ea-bb3c-0629e1fc34f8",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "ffbedad0-bbfe-42a0-97dd-1f78c285bd30",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "4ed9cdbd-3f2d-4716-b240-bf6020506198",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "192a3cde-c130-4a53-a9b4-37c152793e34",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "32babf9c-1fdd-4907-a664-7ff0fb1a03f7",
"db_currency_id": "a76baf34-5fae-433b-88da-7f36f5005c9d",
"db_language_id": "bb0672e7-7ec9-4cac-a107-8afdd9ad2caa",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-05T11:43:05.6390314+00:00"
},
"modified_dateutc": "2026-11-05T11:43:05.6390314+00:00"
}
}